Bug 1450152 - gdeploy conf file for hc should be changed to start chronyd instead of ntpd
Summary: gdeploy conf file for hc should be changed to start chronyd instead of ntpd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.1.3
: 0.10.7-0.0.18
Assignee: Devyani Kota
QA Contact: RamaKasturi
URL:
Whiteboard:
: 1464079 (view as bug list)
Depends On:
Blocks: Gluster-HC-2 RHHI-1.1-RFEs
TreeView+ depends on / blocked
 
Reported: 2017-05-11 16:48 UTC by RamaKasturi
Modified: 2017-08-28 10:33 UTC (History)
12 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.19.el7ev
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 14:05:01 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1?
sabose: planning_ack?
sabose: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 77082 master MERGED gdeploy: Edit hc-conf file to start chronyd instead of ntpd 2017-06-05 12:37:41 UTC
oVirt gerrit 77623 master ABANDONED gdeploy: Edit hc-conf file to start chronyd instead of ntpd 2017-06-01 09:14:39 UTC
oVirt gerrit 77791 ovirt-4.1 MERGED gdeploy: Edit hc-conf file to start chronyd instead of ntpd 2017-06-05 13:21:04 UTC

Description RamaKasturi 2017-05-11 16:48:01 UTC
Description of problem:
npt was pulled in as dependency of vdsm and from RHV 4.1.2 vdsm drops it in favour of chronyd. In gdeploy conf file there is a section to enable and restart ntpd and this has to be changed to enable and start chronyd.

Version-Release number of selected component (if applicable):
gdeploy-2.0.1-11.el7rhgs.noarch

How reproducible:


Steps to Reproduce:
1. Install latest RHV-H image
2. Using cockpit UI configure gluster volumes
3.

Actual results:
There is a section in gdeploy conf file to enable and start ntpd and starting ntpd fails here as vdsm no longer pulls in ntpd.

Expected results:
gdeploy conf file has to be changed to enable and start chronyd instead of ntpd.

Additional info:

Comment 2 SATHEESARAN 2017-05-22 15:36:01 UTC
Devyani,

chronyd is enabled and already up with RHVH.
[root@cambridge ~]# systemctl is-enabled chronyd
enabled
[root@cambridge ~]# systemctl status chronyd
● chronyd.service - NTP client/server
   Loaded: loaded (/usr/lib/systemd/system/chronyd.service; enabled; vendor preset: disabled)
   Active: active (running) since Mon 2017-05-22 09:57:05 IST; 11h ago
 Main PID: 1101 (chronyd)
   CGroup: /system.slice/chronyd.service
           └─1101 /usr/sbin/chronyd

So restarting the chronyd and enabling it across reboots is not required with RHVH. Can we conditionally enable and start chronyd only with RHEL 7 ?

Comment 3 RamaKasturi 2017-05-23 05:27:08 UTC
(In reply to SATHEESARAN from comment #2)
> Devyani,
> 
> chronyd is enabled and already up with RHVH.
> [root@cambridge ~]# systemctl is-enabled chronyd
> enabled
> [root@cambridge ~]# systemctl status chronyd
> ● chronyd.service - NTP client/server
>    Loaded: loaded (/usr/lib/systemd/system/chronyd.service; enabled; vendor
> preset: disabled)
>    Active: active (running) since Mon 2017-05-22 09:57:05 IST; 11h ago
>  Main PID: 1101 (chronyd)
>    CGroup: /system.slice/chronyd.service
>            └─1101 /usr/sbin/chronyd
> 
> So restarting the chronyd and enabling it across reboots is not required
> with RHVH. Can we conditionally enable and start chronyd only with RHEL 7 ?

Hi sas,

   I have installed latest RHV-H ISO and i see that chronyd is disabled and it is not up with RHV-H

[root@rhsqa-grafton4 ~]# systemctl is-enabled chronyd
disabled
[root@rhsqa-grafton4 ~]# systemctl status chronyd
● chronyd.service - NTP client/server
   Loaded: loaded (/usr/lib/systemd/system/chronyd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Comment 4 SATHEESARAN 2017-05-23 08:23:49 UTC
(In reply to RamaKasturi from comment #3)
> (In reply to SATHEESARAN from comment #2)
> > Devyani,
> > 
> > chronyd is enabled and already up with RHVH.
> > [root@cambridge ~]# systemctl is-enabled chronyd
> > enabled
> > [root@cambridge ~]# systemctl status chronyd
> > ● chronyd.service - NTP client/server
> >    Loaded: loaded (/usr/lib/systemd/system/chronyd.service; enabled; vendor
> > preset: disabled)
> >    Active: active (running) since Mon 2017-05-22 09:57:05 IST; 11h ago
> >  Main PID: 1101 (chronyd)
> >    CGroup: /system.slice/chronyd.service
> >            └─1101 /usr/sbin/chronyd
> > 
> > So restarting the chronyd and enabling it across reboots is not required
> > with RHVH. Can we conditionally enable and start chronyd only with RHEL 7 ?
> 
> Hi sas,
> 
>    I have installed latest RHV-H ISO and i see that chronyd is disabled and
> it is not up with RHV-H
> 
> [root@rhsqa-grafton4 ~]# systemctl is-enabled chronyd
> disabled
> [root@rhsqa-grafton4 ~]# systemctl status chronyd
> ● chronyd.service - NTP client/server
>    Loaded: loaded (/usr/lib/systemd/system/chronyd.service; disabled; vendor
> preset: disabled)
>    Active: inactive (dead)

This is the strange behaviour that we noticed with our setups. Kasturi and I have installed from the same ISO, but I see that chronyd is enabled and running while Kasturi's setup has chronyd disabled.

I have installed RHVH with Virtual Machine, and I also see that chronyd is running. /root/anaconda-ks.cfg also shows that the chronyd is enabled during installation.
<snip>
# System services
services --enabled="chronyd"
</snip>

Kasturi, could you also try installation with VM and update the result ?

Comment 5 RamaKasturi 2017-05-23 09:26:12 UTC
sas, i did installation with VM and i still see that chronyd is still disabled and not started. As discussed, can you check if there are any steps you are doing differently because of which it is enabled for you by default ?

Comment 6 SATHEESARAN 2017-05-23 10:16:02 UTC
(In reply to RamaKasturi from comment #5)
> sas, i did installation with VM and i still see that chronyd is still
> disabled and not started. As discussed, can you check if there are any steps
> you are doing differently because of which it is enabled for you by default ?

The reason for the occurrence of this issue has been found.
Short summary : When 'Network Time' is disabled in the anaconda screen, chronyd is disabled.

Testing:
1. When first configuring the 'Network' and then setting up 'Date & Time' in the anaconda screen, has 'Network Time' enabled, which lead to chronyd enabled.

2. If 'Date & Time' is set first, then 'Network Time' is disabled,( as network itself is not yet configured ), which leads to the chronyd getting disabled.

I was doing the former test and I had chronyd enabled, while kasturi was doing the latter and had chronyd enabled.

Solution to this bug - Let's have chronyd enabled and started

Comment 7 SATHEESARAN 2017-05-23 10:16:33 UTC
(In reply to SATHEESARAN from comment #6)
> (In reply to RamaKasturi from comment #5)
> > sas, i did installation with VM and i still see that chronyd is still
> > disabled and not started. As discussed, can you check if there are any steps
> > you are doing differently because of which it is enabled for you by default ?
> 
> The reason for the occurrence of this issue has been found.
> Short summary : When 'Network Time' is disabled in the anaconda screen,
> chronyd is disabled.
> 
> Testing:
> 1. When first configuring the 'Network' and then setting up 'Date & Time' in
> the anaconda screen, has 'Network Time' enabled, which lead to chronyd
> enabled.
> 
> 2. If 'Date & Time' is set first, then 'Network Time' is disabled,( as
> network itself is not yet configured ), which leads to the chronyd getting
> disabled.
> 
> I was doing the former test and I had chronyd enabled, while kasturi was
> doing the latter and had chronyd enabled.
> 
> Solution to this bug - Let's have chronyd enabled and started

Irrespective of the RHEL or RHVH platform

Comment 8 Roberto N 2017-05-27 07:19:13 UTC
Using latest ovirt-node-ng iso (http://resources.ovirt.org/pub/ovirt-4.1/iso/ovirt-node-ng-installer/ovirt-node-ng-installer-ovirt-4.1-2017052309.iso) to install oVirt node, gdeploy is still checking for ntpd instead of chronyd.

Comment 9 Roberto N 2017-05-27 10:56:02 UTC
ntp rpm isn't installed using the ovirt-node-ng iso above mentioned, standards repo from installation don't provide it, so manual intervention is needed to workaround this race condition.

Comment 10 RamaKasturi 2017-06-19 12:10:48 UTC
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.20.el7ev.noarch.

I see that there are steps to enable and restart chronyd in the generated gdeploy conf file.

Comment 11 RamaKasturi 2017-06-19 12:13:13 UTC
lines from generated gdeploy config file:
==========================================

[service1]
action=enable
service=chronyd

[service2]
action=restart
service=chronyd

Comment 12 SATHEESARAN 2017-06-23 07:39:57 UTC
*** Bug 1464079 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.